Package org.eclipse.wst.xml.xpath.ui.views

## org.eclipse.wst.xml.xpath.ui.views
Class XPathNavigator.XMLEditorsContentProvider

    package-private class XPathNavigator.XMLEditorsContentProvider
    extends java.lang.Object

## Constructor Summary

`XPathNavigator.XMLEditorsContentProvider()`

## Method Summary

`public void` | `dispose()`
`public java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
`public void` | `inputChanged(Viewer viewer , java.lang.Object oldInput , java.lang.Object newInput)`

## Constructor Detail

## XPathNavigator.XMLEditorsContentProvider

`package-private XPathNavigator.XMLEditorsContentProvider()`

## Methods Detail

## dispose

`public void dispose()`

## getElements

`public java.lang.Object[] getElements(java.lang.Object inputElement)`

### Parameters

`inputElement`

### Returns

`java.lang.Object[]`

## inputChanged

`public void inputChanged(Viewer viewer , java.lang.Object oldInput , java.lang.Object newInput)`

### Parameters

`viewer`

`oldInput`

`newInput`